-- This Source Code Form is subject to the terms of the bCDDL, v. 1.1.
-- If a copy of the bCDDL was not distributed with this
-- file, You can obtain one at http://beamng.com/bCDDL-1.1.txt
local M = {}


local ASGtimer = 0
local USState = 0
local Atimer = 0
local Stadt = nil
local Land = nil
local YelpS = nil
local YelpL = nil
local WailS = nil
local WailL = nil

local Durchsage = nil
local savestate = 0
local function onInit()
  Stadt = Stadt or sounds.createSoundscapeSound("Stadt")
  Land = Land or sounds.createSoundscapeSound("Land")
  WailL = WailL or sounds.createSoundscapeSound("WailL")
  WailS = WailS or sounds.createSoundscapeSound("WailS")
  YelpS = YelpS or sounds.createSoundscapeSound("YelpS")
  YelpL = YelpL or sounds.createSoundscapeSound("YelpL")
  
  
  Durchsage = Durchsage or sounds.createSoundscapeSound("Durchsage")
end
	

local function reset()
end
local function toggleSound(val, snd)
  if not snd then
    return
  end
  if val then
    obj:setVolume(snd, 1)
    obj:cutSFX(snd)
    obj:playSFX(snd)
  else
    obj:stopSFX(snd)
  end
end



local function updateGFX(dt)



	if electrics.values.UStone == 1 then
	USState = USState + 1
	electrics.values.UStone = 0
	end

	if USState > 2 then
	USState = 0
	end
	
	
	
	
	if WailL == nil then

--print(Stadt)
if Stadt == nil then
else

if electrics.values.Dtoggle == 1 then
if electrics.values.lightbar < 2 then
Atimer = Atimer + dt
    obj:setVolume(Durchsage, 5)
    obj:playSFX(Durchsage)
end
end

if electrics.values.Dtoggle == 1 then
if electrics.values.lightbar == 2 then
Atimer = Atimer + dt
    obj:setVolume(Durchsage, 5)
    obj:playSFX(Durchsage)
	savestate = 1
	electrics.values.lightbar = 1
end
end


if Atimer > 1.5 then

electrics.values.Dtoggle = 0
Atimer = 0
    obj:setVolume(Durchsage, 0)
    obj:stopSFX(Durchsage)
	if savestate == 1 then
		electrics.values.lightbar = 2
		end
	
end




if electrics.values.lightbar == 2 then
if electrics.values.stadtland == 1 then
    obj:setVolume(Stadt, 5)
    obj:playSFX(Stadt)
    obj:setVolume(Land, 0)
    obj:stopSFX(Land)
	

else
    obj:setVolume(Stadt, 0)
    obj:stopSFX(Stadt)
    obj:setVolume(Land, 5)
    obj:playSFX(Land)
	end
end

if electrics.values.lightbar < 2 then
    obj:setVolume(Land, 0)
    obj:stopSFX(Land)
    obj:setVolume(Stadt, 0)
    obj:stopSFX(Stadt)

end

end
else

if electrics.values.lightbar == 2 then
if electrics.values.stadtland == 1 then
if USState == 2 then
    obj:setVolume(Stadt, 5)
    obj:playSFX(Stadt)
    obj:setVolume(Land, 0)
    obj:stopSFX(Land)
    obj:setVolume(YelpL, 0)
    obj:stopSFX(YelpL)
    obj:setVolume(YelpS, 0)
    obj:stopSFX(YelpS)
    obj:setVolume(WailL, 0)
    obj:stopSFX(WailL)
    obj:setVolume(WailS, 0)
    obj:stopSFX(WailS)	
end

if USState == 1 then
    obj:setVolume(YelpS, 5)
    obj:playSFX(YelpS)
    obj:setVolume(YelpL, 0)
    obj:stopSFX(YelpL)
    obj:setVolume(Land, 0)
    obj:stopSFX(Land)
    obj:setVolume(Stadt, 0)
    obj:stopSFX(Stadt)
    obj:setVolume(WailL, 0)
    obj:stopSFX(WailL)
    obj:setVolume(WailS, 0)
    obj:stopSFX(WailS)	
end

if USState == 0 then
    obj:setVolume(WailS, 5)
    obj:playSFX(WailS)
    obj:setVolume(YelpL, 0)
    obj:stopSFX(YelpL)
    obj:setVolume(Land, 0)
    obj:stopSFX(Land)
    obj:setVolume(Stadt, 0)
    obj:stopSFX(Stadt)
    obj:setVolume(WailL, 0)
    obj:stopSFX(WailL)
    obj:setVolume(YelpS, 0)
    obj:stopSFX(YelpS)	
end


else

if USState == 2 then

    obj:setVolume(Stadt, 0)
    obj:stopSFX(Stadt)
    obj:setVolume(Land, 5)
    obj:playSFX(Land)
    obj:setVolume(YelpL, 0)
    obj:stopSFX(YelpL)
    obj:setVolume(YelpS, 0)
    obj:stopSFX(YelpS)
    obj:setVolume(WailL, 0)
    obj:stopSFX(WailL)
    obj:setVolume(WailS, 0)
    obj:stopSFX(WailS)	
	
	
	
	end
	
if USState == 1 then

    obj:setVolume(YelpS, 0)
    obj:stopSFX(YelpS)
    obj:setVolume(YelpL, 5)
    obj:playSFX(YelpL)
	
    obj:setVolume(WailL, 0)
    obj:stopSFX(WailL)
    obj:setVolume(WailS, 0)
    obj:stopSFX(WailS)

    obj:setVolume(Stadt, 0)
    obj:stopSFX(Stadt)
    obj:setVolume(Land, 0)
    obj:stopSFX(Land)
	
	end
	
	
	
	
	
if USState == 0 then

    obj:setVolume(YelpS, 0)
    obj:stopSFX(YelpS)
    obj:setVolume(WailL, 5)
    obj:playSFX(WailL)
	
    obj:setVolume(YelpL, 0)
    obj:stopSFX(YelpL)
    obj:setVolume(WailS, 0)
    obj:stopSFX(WailS)

    obj:setVolume(Stadt, 0)
    obj:stopSFX(Stadt)
    obj:setVolume(Land, 0)
    obj:stopSFX(Land)
	
	end
	
	
	end
end






if electrics.values.lightbar < 2 then
    obj:setVolume(Land, 0)
    obj:stopSFX(Land)
    obj:setVolume(Stadt, 0)
    obj:stopSFX(Stadt)
    obj:setVolume(WailL, 0)
    obj:playSFX(WailL)
    obj:setVolume(WailS, 0)
    obj:playSFX(WailS)
    obj:setVolume(YelpL, 0)
    obj:playSFX(YelpL)
    obj:setVolume(YelpS, 0)
    obj:playSFX(YelpS)
	
	
end


end

	if electrics.values.ASG1 == 0 then
	electrics.values.ASGtext1 = 0
	end

	if electrics.values.ASG2 == 0 then
	electrics.values.ASGtext2 = 0
	end

	if electrics.values.ASG3 == 0 then
	electrics.values.ASGtext3 = 0
	end


ASGtimer = ASGtimer + dt

if ASGtimer > 2 then
ASGtimer = 0 
end





if ASGtimer > 0 and ASGtimer < 1 then
	if electrics.values.ASG1 == 1 then
	electrics.values.ASGtext1 = 0.5
	end
	if electrics.values.ASG2 == 1 then
	electrics.values.ASGtext2 = 0.5
	end
	if electrics.values.ASG3 == 1 then
	electrics.values.ASGtext3 = 0.5
	end
	

end

if ASGtimer > 1 and ASGtimer < 2 then
	if electrics.values.ASG1 == 1 then
	electrics.values.ASGtext1 = 1
	end
	
	if electrics.values.ASG2 == 1 then
	electrics.values.ASGtext2 = 1
	end
	if electrics.values.ASG3 == 1 then
	electrics.values.ASGtext3 = 1
	end
	
end








		
end
	

-- public interface
M.onInit    = onInit
M.onReset   = reset
M.updateGFX = updateGFX

return M