singleton Material(rtk4_W)
{
    mapTo = "rtk4_W";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/etki/rtk4/co.png";
    specularMap[0] = "vehicles/common/null.dds";
    diffuseMap[1] = "vehicles/etki/rtk4/co.png";
    specularMap[1] = "vehicles/etki/rtk4/co.png";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "0";
    translucent = "0";
    alphaTest = "1";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};
singleton Material(rtk4_R)
{
    mapTo = "rtk4_R";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/etki/rtk4/co2.png";
    specularMap[0] = "vehicles/common/null.dds";
    diffuseMap[1] = "vehicles/etki/rtk4/co2.png";
    specularMap[1] = "vehicles/etki/rtk4/co2.png";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "0";
    translucent = "0";
    alphaTest = "1";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};
singleton Material(rtk4_blende_G)
{
    mapTo = "rtk4_blende_G";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularMap[1] = "vehicles/etki/rtk4/rtk23.png";
    pixelSpecular[0] = "1";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "0";
    translucent = "0";
    alphaTest = "1";
    alphaRef = "111";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
   colorMap[0] = "vehicles/etki/rtk4/rtk23.png";
   colorMap[1] = "vehicles/etki/rtk4/rtk23.png";
   roughnessFactor[0] = "0.445299804";
   roughnessFactor[1] = "0.445299804";
   order_simset = "0";
};

singleton Material(rtk4_blende_W)
{
    mapTo = "rtk4_blende_W";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularMap[1] = "vehicles/etki/rtk4/rtk22.png";
    pixelSpecular[0] = "1";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "0";
    translucent = "0";
    alphaTest = "1";
    alphaRef = "111";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
   colorMap[0] = "vehicles/etki/rtk4/rtk22.png";
   colorMap[1] = "vehicles/etki/rtk4/rtk22.png";
   roughnessFactor[0] = "0.445299804";
   roughnessFactor[1] = "0.445299804";
   order_simset = "0";
};


singleton Material(rtk4_blende_WN)
{
    mapTo = "rtk4_blende_WN";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularMap[1] = "vehicles/etki/rtk4/rtk22.png";
    pixelSpecular[0] = "1";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "0";
    translucent = "0";
    alphaTest = "1";
    alphaRef = "111";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
   colorMap[0] = "vehicles/etki/rtk4/rtk27.png";
   colorMap[1] = "vehicles/etki/rtk4/rtk27.png";
   roughnessFactor[0] = "0.445299804";
   roughnessFactor[1] = "0.445299804";
   order_simset = "0";
};


singleton Material(rtk4_blende_WF)
{
    mapTo = "rtk4_blende_WF";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularMap[1] = "vehicles/etki/rtk4/rtk24.png";
    pixelSpecular[0] = "1";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "0";
    translucent = "0";
    alphaTest = "1";
    alphaRef = "111";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
   colorMap[0] = "vehicles/etki/rtk4/rtk24.png";
   colorMap[1] = "vehicles/etki/rtk4/rtk24.png";
   roughnessFactor[0] = "0.445299804";
   roughnessFactor[1] = "0.445299804";
   order_simset = "0";
};

singleton Material(rtk4_blende_R)
{
    mapTo = "rtk4_blende_R";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularMap[1] = "vehicles/etki/rtk4/rtk22.png";
    pixelSpecular[0] = "1";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "0";
    translucent = "0";
    alphaTest = "1";
    alphaRef = "111";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
   colorMap[0] = "vehicles/etki/rtk4/rtk26.png";
   colorMap[1] = "vehicles/etki/rtk4/rtk26.png";
   roughnessFactor[0] = "0.445299804";
   roughnessFactor[1] = "0.445299804";
   order_simset = "0";
};
singleton Material(rtk4_blende_RF)
{
    mapTo = "rtk4_blende_RF";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularMap[1] = "vehicles/etki/rtk4/rtk22.png";
    pixelSpecular[0] = "1";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "0";
    translucent = "0";
    alphaTest = "1";
    alphaRef = "111";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
   colorMap[0] = "vehicles/etki/rtk4/rtk25.png";
   colorMap[1] = "vehicles/etki/rtk4/rtk25.png";
   roughnessFactor[0] = "0.445299804";
   roughnessFactor[1] = "0.445299804";
   order_simset = "0";
};

singleton Material(rtk4_ASG)
{
    mapTo = "rtk4_ASG";
    //reflectivityMap[0] = "vehicles/common/glass_base.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularMap[1] = "vehicles/etki/rtk4/asg.png";
    pixelSpecular[0] = "1";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "0";
    translucent = "0";
    alphaTest = "1";
    alphaRef = "137";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
   colorMap[0] = "vehicles/etki/rtk4/asg.png";
   colorMap[1] = "vehicles/etki/rtk4/asg.png";
   roughnessFactor[0] = "0.445299804";
   roughnessFactor[1] = "0.445299804";
   order_simset = "0";
   reflectivityMap[0] = "vehicles/common/glass_base.dds";
};
singleton Material(rtk4_lautsprecher)
{
    mapTo = "rtk4_lautsprecher";
    //reflectivityMap[0] = "vehicles/common/glass_base.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularMap[1] = "vehicles/etki/rtk4/rtk4laut.png";
    pixelSpecular[0] = "1";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "0";
    translucent = "0";
    alphaTest = "1";
    alphaRef = "137";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
   colorMap[0] = "vehicles/etki/rtk4/rtk4laut.png";
   colorMap[1] = "vehicles/etki/rtk4/rtk4laut.png";
   roughnessFactor[0] = "0.445299804";
   roughnessFactor[1] = "0.445299804";
   order_simset = "0";
   reflectivityMap[0] = "vehicles/common/glass_base.dds";
};

singleton Material(rtk4_glass)
{
    mapTo = "rtk4_glass";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularMap[1] = "vehicles/etki/rtkglass.png";
    pixelSpecular[0] = "1";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "White";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "1";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
   colorMap[0] = "vehicles/etki/rtkglass.png";
   colorMap[1] = "vehicles/etki/rtkglass.png";
   roughnessFactor[0] = "0.445299804";
   roughnessFactor[1] = "0.445299804";
};

singleton Material(rtk4_ASG_STOP_POLIZEI)
{
    mapTo = "rtk4_ASG_STOP_POLIZEI";
    diffuseMap[0] = "vehicles/etki/rtk4_ASG_stoppolizei";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "0";
    alphaTest = "1";
    alphaRef = "137";
    //dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(rtk4_ASG_STOP_POLIZEI2)
{
    mapTo = "rtk4_ASG_STOP_POLIZEI2";
    specularMap[0] = "vehicles/common/null.dds";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "0";
    alphaTest = "1";
    alphaRef = "137";
    //dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
   colorMap[0] = "vehicles/etki/rtk4_ASG_stoppolizei2";
   roughnessFactor[0] = "0.445299804";
   order_simset = "0";
   glow[0] = "1";
   emissive[0] = "1";
};
singleton Material(rtk4_ASG_STOP_POLIZEI1)
{
    mapTo = "rtk4_ASG_STOP_POLIZEI1";
    diffuseMap[0] = "vehicles/etki/rtk4_ASG_stoppolizei1";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "0";
    alphaTest = "1";
    alphaRef = "137";
    //dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};
singleton Material(rtk4_ASG_STOP_POLIZEI_H)
{
    mapTo = "rtk4_ASG_STOP_POLIZEI_H";
    diffuseMap[0] = "vehicles/etki/rtk4_ASG_stoppolizei";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "0";
    alphaTest = "1";
    alphaRef = "137";
    //dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(rtk4_ASG_STOP_POLIZEI2_H)
{
    mapTo = "rtk4_ASG_STOP_POLIZEI2_H";
    specularMap[0] = "vehicles/common/null.dds";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "0";
    alphaTest = "1";
    alphaRef = "137";
    //dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
   colorMap[0] = "vehicles/etki/rtk4_ASG_stoppolizei2";
   roughnessFactor[0] = "0.445299804";
   order_simset = "0";
   glow[0] = "1";
   emissive[0] = "1";
};
singleton Material(rtk4_ASG_STOP_POLIZEI1_H)
{
    mapTo = "rtk4_ASG_STOP_POLIZEI1_H";
    diffuseMap[0] = "vehicles/etki/rtk4_ASG_stoppolizei1";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "0";
    alphaTest = "1";
    alphaRef = "137";
    //dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};


singleton Material(rtk4_ASG_FOLGEN)
{
    mapTo = "rtk4_ASG_FOLGEN";
    diffuseMap[0] = "vehicles/etki/rtk4_ASG_stoppolizei";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "0";
    alphaTest = "1";
    alphaRef = "137";
    //dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(rtk4_ASG_FOLGEN2)
{
    mapTo = "rtk4_ASG_FOLGEN2";
    specularMap[0] = "vehicles/common/null.dds";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "0";
    alphaTest = "1";
    alphaRef = "137";
    //dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
   colorMap[0] = "vehicles/etki/rtk4_ASG_bittefolgen2";
   roughnessFactor[0] = "0.445299804";
   order_simset = "0";
   glow[0] = "1";
   emissive[0] = "1";
};
singleton Material(rtk4_ASG_FOLGEN1)
{
    mapTo = "rtk4_ASG_FOLGEN1";
    specularMap[0] = "vehicles/common/null.dds";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "0";
    alphaTest = "1";
    alphaRef = "137";
    //dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
   colorMap[0] = "vehicles/etki/rtk4_ASG_bittefolgen1";
   roughnessFactor[0] = "0.445299804";
   glow[0] = "1";
   emissive[0] = "1";
   order_simset = "32762";
};



singleton Material(rtk4_ASG_STOP_POLICE)
{
    mapTo = "rtk4_ASG_STOP_POLICE";
    diffuseMap[0] = "vehicles/etki/rtk4_ASG_stoppolizei";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "0";
    alphaTest = "1";
    alphaRef = "137";
    //dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(rtk4_ASG_STOP_POLICE2)
{
    mapTo = "rtk4_ASG_STOP_POLICE2";
    specularMap[0] = "vehicles/common/null.dds";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "0";
    alphaTest = "1";
    alphaRef = "137";
    //dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
   colorMap[0] = "vehicles/etki/rtk4_ASG_stoppolice2";
   roughnessFactor[0] = "0.445299804";
   order_simset = "0";
   glow[0] = "1";
   emissive[0] = "1";
};
singleton Material(rtk4_ASG_STOP_POLICE1)
{
    mapTo = "rtk4_ASG_STOP_POLICE1";
    specularMap[0] = "vehicles/common/null.dds";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "0";
    alphaTest = "1";
    alphaRef = "137";
    //dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
   colorMap[0] = "vehicles/etki/rtk4_ASG_stoppolice1";
   roughnessFactor[0] = "0.445299804";
   glow[0] = "1";
   emissive[0] = "1";
   order_simset = "32762";
};


singleton Material(rtk4_ASG_STOP_POLITIE)
{
    mapTo = "rtk4_ASG_STOP_POLITIE";
    diffuseMap[0] = "vehicles/etki/rtk4_ASG_stoppolizei";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "0";
    alphaTest = "1";
    alphaRef = "137";
    //dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(rtk4_ASG_STOP_POLITIE2)
{
    mapTo = "rtk4_ASG_STOP_POLITIE2";
    specularMap[0] = "vehicles/common/null.dds";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "0";
    alphaTest = "1";
    alphaRef = "137";
    //dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
   colorMap[0] = "vehicles/etki/rtk4_ASG_stoppolitie2";
   roughnessFactor[0] = "0.445299804";
   order_simset = "0";
   glow[0] = "1";
   emissive[0] = "1";
};
singleton Material(rtk4_ASG_STOP_POLITIE1)
{
    mapTo = "rtk4_ASG_STOP_POLITIE1";
    specularMap[0] = "vehicles/common/null.dds";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "0";
    alphaTest = "1";
    alphaRef = "137";
    //dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
   colorMap[0] = "vehicles/etki/rtk4_ASG_stoppolitie1";
   roughnessFactor[0] = "0.445299804";
   glow[0] = "1";
   emissive[0] = "1";
   order_simset = "32762";
};

singleton Material(rtk4_ASG_NOTARZT2)
{
    mapTo = "rtk4_ASG_NOTARZT2";
    specularMap[0] = "vehicles/common/null.dds";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "0";
    alphaTest = "1";
    alphaRef = "137";
    //dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
   colorMap[0] = "vehicles/etki/rtk4_ASG_notarzt2";
   roughnessFactor[0] = "0.445299804";
   order_simset = "0";
   glow[0] = "1";
   emissive[0] = "1";
};
singleton Material(rtk4_ASG_NOTARZT1)
{
    mapTo = "rtk4_ASG_NOTARZT1";
    specularMap[0] = "vehicles/common/null.dds";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "0";
    alphaTest = "1";
    alphaRef = "137";
    //dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
   colorMap[0] = "vehicles/etki/rtk4_ASG_notarzt1";
   roughnessFactor[0] = "0.445299804";
   glow[0] = "1";
   emissive[0] = "1";
   order_simset = "32762";
};


singleton Material(rtk4_ASG_STOP_STOP)
{
    mapTo = "rtk4_ASG_STOP_STOP";
    diffuseMap[0] = "vehicles/etki/rtk4_ASG_stoppolizei";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "0";
    alphaTest = "1";
    alphaRef = "137";
    //dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(rtk4_ASG_STOP_STOP2)
{
    mapTo = "rtk4_ASG_STOP_STOP2";
    specularMap[0] = "vehicles/common/null.dds";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "0";
    alphaTest = "1";
    alphaRef = "137";
    //dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
   colorMap[0] = "vehicles/etki/rtk4_ASG_stopstop2";
   roughnessFactor[0] = "0.445299804";
   order_simset = "0";
   glow[0] = "1";
   emissive[0] = "1";
};
singleton Material(rtk4_ASG_STOP_STOP1)
{
    mapTo = "rtk4_ASG_STOP_STOP1";
    specularMap[0] = "vehicles/common/null.dds";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "0";
    alphaTest = "1";
    alphaRef = "137";
    //dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
   colorMap[0] = "vehicles/etki/rtk4_ASG_stopstop1";
   roughnessFactor[0] = "0.445299804";
   glow[0] = "1";
   emissive[0] = "1";
   order_simset = "32762";
};



singleton Material(rtk4_plastic)
{
    mapTo = "rtk4_plastic";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "0.024 0.024 0.024 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "0";
    alphaTest = "1";
    alphaRef = "0";
    //dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};


singleton Material(rtk4_panel1)
{
    mapTo = "rtk4_panel1";
   colorMap[0] = "vehicles/etki/hellapanel1.png";
   colorMap[0] = "vehicles/etki/hellapanel1.png";
    specularPower[0] = "128";
    pixelSpecular[0] = "0";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "0";
    alphaTest = "1";
    alphaRef = "0";
    //dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};


singleton Material(rtk4_MBLE)
{
    mapTo = "rtk4_MBLE";
   colorMap[0] = "vehicles/etki/MBLE.png";
   colorMap[0] = "vehicles/etki/MBLE.png";
    specularPower[0] = "128";
    pixelSpecular[0] = "0";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "0";
    alphaTest = "1";
    alphaRef = "0";
    //dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};



singleton Material(rtk4_ASG_STOP_POLIZEI1)
{
   mapTo = "rtk4_ASG_STOP_POLIZEI1";
   colorMap[0] = "vehicles/etki/rtk4_ASG_stoppolizei1";
   roughnessFactor[0] = "0.445299804";
   specularMap[0] = "vehicles/common/null.dds";
   pixelSpecular[0] = "1";
   useAnisotropic[0] = "1";
   glow[0] = "1";
   emissive[0] = "1";
   castShadows = "0";
   alphaTest = "1";
   alphaRef = "137";
   order_simset = "0";
   materialTag0 = "beamng";
   materialTag1 = "vehicle";
};
